import { DiagnosticReport, Program } from "@typespec/compiler";
import { DiagnosticMessagesMap } from "./lib.js";
import { LoggerLevel } from "./logger-level.js";
/**
 * The Logger class for the emitter.
 * @beta
 */
export declare class Logger {
    private tracer;
    private level;
    private program;
    constructor(program: Program, level: LoggerLevel);
    info(message: string): void;
    debug(message: string): void;
    verbose(message: string): void;
    reportDiagnostic<C extends keyof DiagnosticMessagesMap, M extends keyof DiagnosticMessagesMap[C]>(diag: DiagnosticReport<DiagnosticMessagesMap, C, M>): void;
    warn(message: string): void;
    error(message: string): void;
}
//# sourceMappingURL=logger.d.ts.map